Bug 1415281 (CVE-2017-5552) - CVE-2017-5552 Qemu: display: virtio-gpu-3d: memory leakage in virgl_resource_attach_backing
Summary: CVE-2017-5552 Qemu: display: virtio-gpu-3d: memory leakage in virgl_resource_...
Status: NEW
Alias: CVE-2017-5552
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170103,reported=2...
Keywords: Security
Depends On: 1415283
Blocks: 1406776
TreeView+ depends on / blocked
 
Reported: 2017-01-20 18:18 UTC by Prasad J Pandit
Modified: 2018-07-18 15:12 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Prasad J Pandit 2017-01-20 18:18:15 UTC
Quick Emulator(Qemu) built with the Virtio GPU Device emulator support is
vulnerable to a memory leakage issue. It could occur while processing
'VIRTIO_GPU_CMD_RESOURCE_ATTACH_BACKING' command.

A guest user/process could use this flaw to leak host memory resulting in DoS.

Upstream patch:
---------------
  -> https://lists.nongnu.org/archive/html/qemu-devel/2017-01/msg00154.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/01/21/5

Comment 1 Prasad J Pandit 2017-01-20 18:18:53 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2017-01-20 18:20:50 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1415283]


Note You need to log in before you can comment on or make changes to this bug.